<?php
 
 function block_img_render_callback($block, $content = '', $is_preview = false, $post_id = 0) {
    $context = Timber::context();
    $context['block'] = $block;
    $context['is_preview'] = $is_preview;
    $context['order'] = get_field('order');
    $context['shrink'] = get_field('shrink');
    $context['img'] = get_field('img');
    $context['plus_minus'] = get_field('plus_minus');
    $context['content'] = get_field('content');
    Timber::render('modules/blog/editor-blocks/block_img/editor-block-template.twig', $context);
}


 add_action('acf/init', function(){
    if( function_exists('acf_register_block') ) {
        // register a testimonial block

        acf_register_block(array(
            'name'              => 'gp_block_img',
            'title'             => __('GP - block_img'),
            'description'       => __('block_img'),
            'render_callback'   => 'block_img_render_callback',
            'category'          => 'formatting',
            'icon'              => 'admin-comments',
            'keywords'          => array( 'block_img', 'gp-block',),
            'mode' => 'preview',
            'enqueue_assets'    => function(){
                wp_enqueue_style('gp_util_style', get_template_directory_uri() . '/modules/layout/assets/css/gp-style-core.css', array(), '1.0', 'all');
                wp_enqueue_style('gp_normalize', get_template_directory_uri() . '/modules/layout/assets/css/gp-style-normalize.css', array(), '1.0', 'all');
                wp_enqueue_style('gp_img_style', get_template_directory_uri() . '/modules/blog/editor-blocks/block_img/assets/css/style.css', array(), '2.0', 'all');
            }
        ));
    }
});




?>